Bug 978234 - [abrt] deluge-gtk-1.3.6-3.fc19: lockfile.py:160:lock:OSError: [Errno 1] Operation not permitted: '/home/arnav/.config/deluge/ipc/deluge-gtk.lock' [NEEDINFO]
[abrt] deluge-gtk-1.3.6-3.fc19: lockfile.py:160:lock:OSError: [Errno 1] Opera...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:25a0e42774edf6f651ca35a9b6e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 03:01 EDT by arnav
Modified: 2015-02-17 10:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:41:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
calumlind: needinfo? (arnavkalra007)


Attachments (Terms of Use)
File: backtrace (1.36 KB, text/plain)
2013-06-26 03:01 EDT, arnav
no flags Details
File: core_backtrace (895 bytes, text/plain)
2013-06-26 03:01 EDT, arnav
no flags Details
File: environ (1.47 KB, text/plain)
2013-06-26 03:01 EDT, arnav
no flags Details

  None (edit)
Description arnav 2013-06-26 03:01:36 EDT
Version-Release number of selected component:
deluge-gtk-1.3.6-3.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        deluge-gtk '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
dso_list:       python-twisted-core-12.2.0-2.fc19.i686
executable:     /usr/bin/deluge-gtk
kernel:         3.9.6-301.fc19.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
lockfile.py:160:lock:OSError: [Errno 1] Operation not permitted: '/home/arnav/.config/deluge/ipc/deluge-gtk.lock'

Traceback (most recent call last):
  File "/usr/bin/deluge-gtk", line 9, in <module>
    load_entry_point('deluge==1.3.6', 'gui_scripts', 'deluge-gtk')()
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/gtkui.py", line 115, in start
    Gtk().start()
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/gtkui.py", line 112, in start
    GtkUI(self.args)
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/gtkui.py", line 225, in __init__
    self.ipcinterface = IPCInterface(args)
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/ipcinterface.py", line 142, in __init__
    reactor.listenUNIX(socket, self.factory, wantPID=True)
  File "/usr/lib/python2.7/site-packages/twisted/internet/posixbase.py", line 406, in listenUNIX
    p.startListening()
  File "/usr/lib/python2.7/site-packages/twisted/internet/unix.py", line 273, in startListening
    if not self.lockFile.lock():
  File "/usr/lib/python2.7/site-packages/twisted/python/lockfile.py", line 160, in lock
    rmlink(self.name)
OSError: [Errno 1] Operation not permitted: '/home/arnav/.config/deluge/ipc/deluge-gtk.lock'

Local variables in innermost frame:
e: OSError(1, 'Operation not permitted')
self: <twisted.python.lockfile.FilesystemLock object at 0x96a940c>
pid: '1452'
clean: True
Comment 1 arnav 2013-06-26 03:01:41 EDT
Created attachment 765422 [details]
File: backtrace
Comment 2 arnav 2013-06-26 03:01:45 EDT
Created attachment 765423 [details]
File: core_backtrace
Comment 3 arnav 2013-06-26 03:01:48 EDT
Created attachment 765424 [details]
File: environ
Comment 4 Calum 2013-11-21 18:38:07 EST
It is odd that it does not have permission to delete a file it created. Can you provide any more information on how/when this crash occurred?
Comment 5 Fedora End Of Life 2015-01-09 13:32:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 10:41:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.